/* ==========================================================================
* 파    일 : NoteListBox.h
* 목    적 : 
* 작 성 자 : 김가람
* 작 성 일 : 2007-12-13
* 주의사항 :
*===========================================================================*/
#pragma once
#include "ListBox.h"

/// 일반 리스트박스와 다르게 쪽지 체크 이미지를 위한 리스트박스
class cNoteListBox : public cListBox
{
public:
	cNoteListBox( eUINodeType type = eUINODE_LISTBOX );
	virtual ~cNoteListBox();

	void SetCheckSkin( cUINodeSkin* nodeSkin  );
	void SetNoCheckSkin( cUINodeSkin* nodeSkin );

protected:
	/// 리스트 박스의 아이템을 그려줌.
	virtual void RenderData( cUIFontItemKeeper* pKeeper );

private:
	cUINodeSkin*	mCheckSkin;
	cUINodeSkin*	mNoCheckSkin;
};